nom: studio-transformation
type: 'Types de dossier personnalisés'
description: ''
connecteur:
    - transformation
    - signature
    - TdT
affiche_one: false
formulaire:
    onglet1:
        titre:
            name: Titre
            type: text
            requis: true
            multiple: false
            commentaire: ''
            title: true
        fichier:
            name: Fichier
            type: file
            requis: false
            multiple: false
            commentaire: ''
        fichier_csv_transform:
            name: 'Fichier CSV Transform'
            type: file
            requis: false
            multiple: false
            commentaire: ''
        adresse:
            name: Adresse
            type: text
            requis: false
            multiple: false
            commentaire: ''
    Cheminement:
        envoi_transformation:
            name: Transformation
            type: checkbox
            onchange: cheminement-change
            default: ''
            read-only: false
        envoi_signature:
            name: Visa/Signature
            type: checkbox
            onchange: cheminement-change
            default: ''
            read-only: false
        envoi_tdt_actes:
            name: 'Envoi à la préfecture (via un Tdt)'
            type: checkbox
            onchange: cheminement-change
            default: ''
            read-only: false
    Transformation:
        has_transformation:
            no-show: true
            read-only: true
        transformation_file:
            name: Transformations
            type: file
            visionneuse: Pastell\Viewer\TransformationViewer
            read-only: true
            visionneuse-no-link: true
    iparapheur:
        envoi_iparapheur:
            no-show: true
        iparapheur_type:
            name: 'Type iparapheur'
            read-only: true
        iparapheur_sous_type:
            name: 'Sous-type iparapheur'
            requis: true
            index: true
            type: externalData
            choice-action: iparapheur-sous-type
            link_name: 'Sélectionner un sous-type'
        annotation_publique:
            name: 'Annotation publique'
            type: textarea
        annotation_privee:
            name: 'Annotation privée'
            type: textarea
    'Parapheur FAST':
        envoi_fast:
            no-show: true
        fast_parapheur_circuit:
            name: 'Circuit sur le parapheur'
            type: externalData
            choice-action: iparapheur-sous-type
            link_name: 'Liste des circuits'
        fast_parapheur_circuit_configuration:
            name: 'Configuration du circuit à la volée (au format JSON)'
            commentaire: 'Si ce fichier est déposé, il remplace le circuit choisi dans le champ "Circuit sur le parapheur"'
            type: file
        fast_parapheur_email_destinataire:
            name: 'Email du destinataire'
            commentaire: "Email de la personne à qui l’on souhaite envoyer le document après sa signature<br />\nUniquement avec le mode \"circuit à la volée\""
        fast_parapheur_email_cc:
            name: 'Email des destinataires en copie carbone'
            commentaire: "Permet de rajouter des destinataires mais en copie carbone<br />\nUniquement avec le mode \"circuit à la volée\""
        fast_parapheur_agents:
            name: 'Emails des agents'
            commentaire: "Les emails des utilisateurs à rajouter en tant qu’agent. Séparé par des virgules<br />\nUniquement avec le mode \"circuit à la volée\""
    Signature:
        iparapheur_dossier_id:
            name: '#ID dossier parapheur'
            read-only: true
        iparapheur_historique:
            name: 'Historique iparapheur'
            type: file
            read-only: true
        parapheur_last_message:
            name: 'Dernier message reçu du parapheur'
            read-only: true
        parapheur_date_signature:
            name: 'Date de dernière signature'
            type: date
            read-only: true
        has_signature:
            no-show: true
            read-only: true
        signature:
            name: 'Signature détachée'
            type: file
            read-only: true
        bordereau_signature:
            name: 'Bordereau de signature'
            type: file
            read-only: true
        document_original:
            name: 'Document original'
            type: file
            read-only: true
        multi_document_original:
            name: 'Multi-document(s) original'
            type: file
            multiple: true
            read-only: true
        iparapheur_annexe_sortie:
            name: 'Annexe(s) de sortie du parapheur'
            type: file
            multiple: true
            read-only: true
    Acte:
        acte_nature:
            name: "Nature de l'acte"
            type: select
            requis: true
            value:
                3: 'Actes individuels'
                2: 'Actes réglementaires'
                6: Autres
                4: 'Contrats, conventions et avenants'
                1: Délibérations
                5: 'Documents budgétaires et financiers'
            onchange: autre_document_attache-change
        numero_de_lacte:
            name: "Numéro de l'acte"
            requis: true
            commentaire: '15 caractères maximum (chiffres, lettres en majuscule ou _)'
            preg_match: '#^[0-9A-Z_]{1,15}$#'
            preg_match_error: '15 caractères maximum (chiffres, lettres en majuscule ou _)'
            index: true
        date_de_lacte:
            name: "Date de l'acte"
            type: date
            default: now
            requis: true
            commentaire: 'Date de la décision'
        document_papier:
            name: 'Envoi de documents papiers complémentaires'
            type: checkbox
        classification:
            name: 'Classification en matière et sous-matière'
            type: externalData
            requis: true
            link_name: 'Sélectionner dans la classification en matière et sous-matière'
            choice-action: classification
        type_piece:
            name: 'Typologie des pièces'
            type: externalData
            link_name: 'Sélectionner des types de pièces'
            choice-action: type-piece
            edit-only: true
            requis: true
        type_piece_fichier:
            name: 'Typologie des pièces'
            type: file
            visionneuse: Pastell\Viewer\TypologyActesViewer
            read-only: true
            requis: true
            visionneuse-no-link: true
        type_acte:
            no-show: true
            onchange: typology-change-by-api
        type_pj:
            no-show: true
            onchange: typology-change-by-api
    'Retour Tdt':
        has_bordereau:
            no-show: true
            read-only: true
        tedetis_transaction_id:
            name: 'Identifiant de la transaction sur le TdT'
            read-only: true
        bordereau:
            name: "Bordereau d'acquittement"
            type: file
            read-only: true
        aractes:
            name: 'Accusé de réception technique'
            type: file
            commentaire: 'Accusé de réception (XML) envoyé par la préfecture'
            read-only: true
        acte_tamponne:
            name: 'Acte tamponné par le TdT'
            type: file
            read-only: true
        annexes_tamponnees:
            name: 'Annexe(s) tamponnée(s) par le TdT'
            type: file
            multiple: true
            read-only: true
        date_ar:
            name: "Date de l'accusé de réception"
            type: date
            read-only: true
        acte_publication_date:
            name: "Date de publication de l'acte"
            type: date
    Annulation:
        has_annulation:
            no-show: true
            read-only: true
        date_ar_annulation:
            name: "Date de l'accusé de réception d'annulation"
            type: date
            read-only: true
        tedetis_annulation_id:
            name: "Identifiant de la transaction d'annulation"
            read-only: true
        aractes_annulation:
            name: "Accusé de réception d'annulation"
            type: file
            commentaire: 'Accusé de réception (XML) envoyé par la préfecture'
            read-only: true
champs-affiches:
    - titre
    - dernier_etat
    - date_dernier_etat
champs-recherche-avancee:
    - type
    - id_e
    - lastetat
    - last_state_begin
    - etatTransit
    - state_begin
    - notEtatTransit
    - search
page-condition:
    Transformation:
        has_transformation: true
    iparapheur:
        envoi_iparapheur: true
    'Parapheur FAST':
        envoi_fast: true
    Signature:
        has_signature: true
    Acte:
        envoi_tdt_actes: true
    'Retour Tdt':
        has_bordereau: true
    Annulation:
        has_annulation: true
action:
    creation:
        name-action: Créer
        name: Créé
        rule:
            no-last-action: ''
    modification:
        name-action: Modifier
        name: 'En cours de rédaction'
        rule:
            last-action:
                - creation
                - modification
                - importation
                - transformation
                - recu-iparapheur
                - send-signature-error
                - send-tdt-erreur
                - acquiter-tdt
                - termine
    supression:
        name-action: Supprimer
        name: Supprimé
        rule:
            last-action:
                - creation
                - modification
                - importation
                - termine
                - fatal-error
                - transformation-error
                - rejet-iparapheur
                - send-signature-error
                - erreur-verif-iparapheur
                - send-tdt-erreur
                - annuler-tdt
        action-class: Supprimer
        warning: 'Êtes-vous sûr ?'
    importation:
        name: 'Importation du document'
        rule:
            role_id_e: no-role
        action-automatique: orientation
    orientation:
        name: 'Envoi du document'
        name-action: 'Envoyer le document'
        rule:
            last-action:
                - creation
                - modification
                - importation
                - transformation
                - recu-iparapheur
                - acquiter-tdt
                - rejet-iparapheur
            document_is_valide: true
        action-class: OrientationTypeDossierPersonnalise
    termine:
        name: 'Traitement terminé'
        rule:
            role_id_e: no-role
        editable-content:
            - acte_publication_date
        modification-no-change-etat: true
    reouverture:
        name: 'Rouvrir le dossier'
        rule:
            last-action:
                - termine
        action-class: Reopen
    cheminement-change:
        no-workflow: true
        rule:
            role_id_e: 'no-role,'
        action-class: CheminementChangeTypeDossierPersonnalise
    preparation-transformation:
        name: 'Préparation à la transformation'
        rule:
            role_id_e: no-role
        action-automatique: transformation
    transformation:
        name-action: 'Transformer le document'
        name: 'Transformation du document'
        rule:
            last-action:
                - preparation-transformation
                - transformation-error
        action-class: StandardAction
        action-automatique: orientation
        connecteur-type: transformation
        connecteur-type-action: TransformationTransform
        connecteur-type-mapping:
            transformation_file: transformation_file
            has_transformation: has_transformation
        editable-content:
            - envoi_signature
            - envoi_tdt_actes
            - envoi_iparapheur
            - iparapheur_sous_type
            - annotation_publique
            - annotation_privee
            - envoi_fast
            - fast_parapheur_circuit
            - fast_parapheur_circuit_configuration
            - fast_parapheur_email_destinataire
            - fast_parapheur_email_cc
            - fast_parapheur_agents
            - acte_nature
            - numero_de_lacte
            - date_de_lacte
            - document_papier
            - classification
            - type_piece
            - type_acte
            - type_pj
            - acte_publication_date
        modification-no-change-etat: true
    transformation-error:
        name: 'Erreur lors de la transformation du dossier'
        rule:
            role_id_e: no-role
    preparation-send-iparapheur:
        name: "Préparation de l'envoi au parapheur"
        rule:
            role_id_e: no-role
        action-automatique: send-iparapheur
    send-iparapheur:
        name-action: 'Transmettre au parapheur'
        name: 'Transmis au parapheur'
        rule:
            last-action:
                - preparation-send-iparapheur
                - send-signature-error
        action-class: StandardAction
        connecteur-type: signature
        connecteur-type-action: SignatureEnvoie
        connecteur-type-mapping:
            iparapheur_type: iparapheur_type
            iparapheur_sous_type: iparapheur_sous_type
            iparapheur_dossier_id: iparapheur_dossier_id
            fast_parapheur_circuit: fast_parapheur_circuit
            fast_parapheur_circuit_configuration: fast_parapheur_circuit_configuration
            fast_parapheur_email_destinataire: fast_parapheur_email_destinataire
            fast_parapheur_email_cc: fast_parapheur_email_cc
            fast_parapheur_agents: fast_parapheur_agents
            send-signature-error: send-signature-error
            iparapheur_annotation_publique: annotation_publique
            iparapheur_annotation_privee: annotation_privee
            objet: titre
            document: fichier
        action-automatique: verif-iparapheur
    send-signature-error:
        name: "Erreur lors de l'envoi du dossier à la signature"
        editable-content:
            - iparapheur_sous_type
            - fast_parapheur_circuit
            - fast_parapheur_circuit_configuration
            - fast_parapheur_email_destinataire
            - fast_parapheur_email_cc
            - fast_parapheur_agents
        rule:
            role_id_e: no-role
        modification-no-change-etat: true
    verif-iparapheur:
        name-action: 'Vérifier le statut de signature'
        name: 'Vérification de la signature'
        rule:
            last-action:
                - erreur-verif-iparapheur
                - send-iparapheur
        action-class: StandardAction
        connecteur-type: signature
        connecteur-type-action: SignatureRecuperation
        connecteur-type-mapping:
            iparapheur_historique: iparapheur_historique
            parapheur_last_message: parapheur_last_message
            parapheur_date_signature: parapheur_date_signature
            has_signature: has_signature
            signature: signature
            document_original: document_original
            multi_document_original: multi_document_original
            bordereau: bordereau_signature
            iparapheur_annexe_sortie: iparapheur_annexe_sortie
            iparapheur_dossier_id: iparapheur_dossier_id
            recu-iparapheur: recu-iparapheur
            rejet-iparapheur: rejet-iparapheur
            erreur-verif-iparapheur: erreur-verif-iparapheur
            objet: titre
            document: fichier
    erreur-verif-iparapheur:
        name: 'Erreur lors de la vérification du statut de signature'
        rule:
            role_id_e: no-role
    recu-iparapheur:
        name: 'Signature récupérée'
        rule:
            role_id_e: no-role
        editable-content:
            - envoi_tdt_actes
            - acte_nature
            - numero_de_lacte
            - date_de_lacte
            - document_papier
            - classification
            - type_piece
            - type_acte
            - type_pj
            - acte_publication_date
        modification-no-change-etat: true
    rejet-iparapheur:
        name: 'Signature refusée'
        rule:
            role_id_e: no-role
    iparapheur-sous-type:
        name: 'Liste des sous-type iparapheur'
        no-workflow: true
        rule:
            role_id_e: no-role
        action-class: IparapheurSousType
        connecteur-type-mapping:
            iparapheur_type: iparapheur_type
            iparapheur_sous_type: iparapheur_sous_type
            fast_parapheur_circuit: fast_parapheur_circuit
    pre-send-tdt:
        name: "Préparation de l'envoi au Tdt"
        rule:
            role_id_e: no-role
        action-automatique: send-tdt
    send-tdt:
        name-action: 'Transmettre au TdT'
        name: 'Transmis au TdT'
        rule:
            last-action:
                - pre-send-tdt
                - send-tdt-erreur
        action-class: StandardAction
        connecteur-type: TdT
        connecteur-type-action: TdTEnvoiActe
        connecteur-type-mapping:
            acte_nature: acte_nature
            numero_de_lacte: numero_de_lacte
            date_de_lacte: date_de_lacte
            document_papier: document_papier
            classification: classification
            type_acte: type_acte
            type_pj: type_pj
            send-tdt-erreur: send-tdt-erreur
            document-transmis-tdt: document-transmis-tdt
            tedetis_transaction_id: tedetis_transaction_id
            arrete: fichier
            objet: titre
        action-automatique: verif-tdt
    send-tdt-erreur:
        name: "Erreur lors de l'envoi des données au TdT"
        rule:
            role_id_e: no-role
        editable-content:
            - numero_de_lacte
    document-transmis-tdt:
        name-action: 'Transmettre les documents au TdT'
        name: 'En attente du certificat RGS**'
        rule:
            role_id_e: no-role
    teletransmission-tdt:
        name-action: 'Ordonner la télétransmission au TdT'
        name: 'Tentative de télétransmission sur le TDT'
        rule:
            last-action:
                - teletransmission-tdt
                - document-transmis-tdt
        action-class: TdtTeletransmettre
        connecteur-type-mapping:
            tedetis_transaction_id: tedetis_transaction_id
            return-teletransmission-tdt: return-teletransmission-tdt
    return-teletransmission-tdt:
        name: 'Ordre de télétransmission envoyé sur le TDT'
        rule:
            last-action:
                - teletransmission-tdt
        action-class: TdtRetourTeletransmettre
        connecteur-type-mapping:
            tedetis_transaction_id: tedetis_transaction_id
        action-automatique: verif-tdt
    verif-tdt:
        name-action: 'Vérifier le statut de la transaction'
        name: 'Statut vérifié par le TdT'
        rule:
            last-action:
                - send-tdt
                - tdt-error
                - erreur-verif-tdt
                - document-transmis-tdt
                - teletransmission-tdt
                - return-teletransmission-tdt
        action-class: StandardAction
        connecteur-type: TdT
        connecteur-type-action: TdTRecupActe
        connecteur-type-mapping:
            tedetis_transaction_id: tedetis_transaction_id
            erreur-verif-tdt: erreur-verif-tdt
            acquiter-tdt: acquiter-tdt
            numero_de_lacte: numero_de_lacte
            has_bordereau: has_bordereau
            bordereau: bordereau
            aractes: aractes
            acte_tamponne: acte_tamponne
            annexes_tamponnees: annexes_tamponnees
            date_ar: date_ar
            arrete: fichier
            objet: titre
    erreur-verif-tdt:
        name: "Erreur lors de la vérification du statut de l'acte"
        rule:
            role_id_e: no-role
    tdt-error:
        name: 'Erreur sur le TdT'
        rule:
            role_id_e: no-role
    acquiter-tdt:
        name: 'Acquitté par la préfecture'
        rule:
            role_id_e: no-role
        editable-content:
            - acte_publication_date
        modification-no-change-etat: true
    annulation-tdt:
        name-action: 'Annuler la transaction'
        name: "Demande d'annulation envoyée"
        rule:
            has-action:
                - acquiter-tdt
            no-action:
                - annulation-tdt
        action-class: StandardAction
        connecteur-type: TdT
        connecteur-type-action: TdTAnnulation
        connecteur-type-mapping:
            tedetis_transaction_id: tedetis_transaction_id
            tedetis_annulation_id: tedetis_annulation_id
            has_annulation: has_annulation
            annulation-tdt: annulation-tdt
            numero_de_lacte: numero_de_lacte
            aractes_annulation: aractes_annulation
        action-automatique: verif-annulation-tdt
        warning: "Attention cette action n'est pas réversible"
    tamponner-tdt:
        name: "Retamponner l'acte et les annexes"
        rule:
            has-action:
                - acquiter-tdt
        action-class: StandardAction
        connecteur-type: TdT
        connecteur-type-action: TdTRestamp
        connecteur-type-mapping:
            tedetis_transaction_id: tedetis_transaction_id
            acte_tamponne: acte_tamponne
            annexes_tamponnees: annexes_tamponnees
            date_ar: date_ar
            acte_publication_date: acte_publication_date
            arrete: fichier
            objet: titre
    verif-annulation-tdt:
        name-action: "Vérifier le statut de la transaction d'annulation"
        name: 'Statut vérifié par le TdT'
        rule:
            last-action:
                - annulation-tdt
        action-class: StandardAction
        connecteur-type: TdT
        connecteur-type-action: TdTRecupAnnulation
        connecteur-type-mapping:
            tedetis_transaction_id: tedetis_transaction_id
            tdt-error: tdt-error
            annuler-tdt: annuler-tdt
            date_ar_annulation: date_ar_annulation
    annuler-tdt:
        name: 'Transaction annulée'
        rule:
            role_id_e: no-role
    type-piece:
        name: 'Typologie des pièces'
        no-workflow: true
        rule:
            role_id_e: no-role
        action-class: StandardChoiceAction
        connecteur-type: TdT
        connecteur-type-action: TdtChoiceTypologieActes
        connecteur-type-mapping:
            acte_nature: acte_nature
            classification: classification
            arrete: fichier
    classification:
        name: 'Classification ACTES'
        no-workflow: true
        rule:
            role_id_e: no-role
        action-class: Classification
    autre_document_attache-change:
        no-workflow: true
        rule:
            role_id_e: no-role
        action-class: StandardAction
        connecteur-type: TdT
        connecteur-type-action: TdtAnnexeTypologieAnnexeChange
    typology-change-by-api:
        no-workflow: true
        rule:
            role_id_e: no-role
        action-class: StandardAction
        connecteur-type: TdT
        connecteur-type-action: TdtTypologieChangeByApi
        connecteur-type-mapping:
            type_acte: type_acte
            type_pj: type_pj
            type_piece: type_piece
            type_piece_fichier: type_piece_fichier
            acte_nature: acte_nature
            arrete: fichier
threshold_size: '157286400'
threshold_fields:
    - fichier
